GridFire 0.6.0 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Namespaces | Enumerations | Variables
partition_types.h File Reference
`#include <unordered_map>`
`#include <string>`

## Namespaces
namespace | gridfire
namespace | gridfire::partition

## Enumerations
enum | gridfire::partition::BasePartitionType { gridfire::partition::RauscherThielemann , gridfire::partition::GroundState }
| Enumerates available partition function implementations. More...

## Variables
std::unordered_map< BasePartitionType, std::string > | gridfire::partition::basePartitionTypeToString
| Mapping from BasePartitionType enum to human-readable string.
std::unordered_map< std::string, BasePartitionType > | gridfire::partition::stringToBasePartitionType
| Mapping from string to BasePartitionType enum.